import QtQuick 1.0

Rectangle {
    id: mainMenuPanel

    property string playButtonImage: "MEDIA/GFX/menu/startNewGameButton.png"

    x:parent.width/2-180
    y:parent.height/2-200
    z:100

    width: 360
    height: 400

    opacity: 0.9
    color: "#3f0043"
    radius: 10
    visible: true
    border.color: "black"

    Gradient {
        id: gradientStandart
        GradientStop { position: 0.0; color: "#f14ef8" }
        GradientStop { position: 0.2; color: "#ac1db2" }
        GradientStop { position: 0.9;color: "#79157d" }
        GradientStop { position: 1.0; color: "#400a42" }
    }

    Gradient {
        id: gradientPressed
        GradientStop { position: 0.0; color: "#400a42" }
        GradientStop { position: 0.2;color: "#79157d" }
        GradientStop { position: 0.9; color: "#ac1db2" }
        GradientStop { position: 1.0; color: "#f14ef8" }
    }

    Rectangle{
        id: playButton
        x: parent.width/2-width/2
        y: 130
        z: parent.z+1
        width: 330
        height: 55
        visible: parent.visible
        radius: 10

        Image{
            source: playButtonImage
            anchors.centerIn: parent
            z: parent.z+2
        }

        border.color: "black"
        gradient: gradientStandart

        MouseArea{
            anchors.fill:parent
            anchors.bottom: parent.bottom
            width:parent.width
            height: parent.height

            onPressed: playButton.gradient=gradientPressed
            onReleased: playButton.gradient=gradientStandart
            onClicked: {
                startMenu.visible=false
                mainPage.paused=false
                dogTimer.start()
            }
        }
    }

    Rectangle{
        id: soundOnOffButton
        x: parent.width/2-width/2
        y: 195
        z: parent.z+1
        width: 330
        height: 55
        visible: parent.visible
        radius: 10

        Image{
            source: "MEDIA/GFX/menu/soundOnOffButton.png"
            anchors.centerIn: parent
            z: parent.z+2
        }

        border.color: "black"
        gradient: gradientStandart

        MouseArea{
            anchors.fill:parent
            anchors.bottom: parent.bottom
            width:parent.width
            height: parent.height

            onPressed: soundOnOffButton.gradient=gradientPressed
            onReleased: soundOnOffButton.gradient=gradientStandart
            onClicked: {
                if(mainPage.muted){
                    mainTheme.play()
                } else {
                    mainTheme.stop()
                }

                mainPage.muted=!mainPage.muted
            }
        }
    }

    Rectangle{
        id: aboutButton
        x: parent.width/2-width/2
        y: 260
        z: parent.z+1
        width: 330
        height: 55
        visible: parent.visible
        radius: 10

        Image{
            source: "MEDIA/GFX/menu/aboutButton.png"
            anchors.centerIn: parent
            z: parent.z+2
        }

        border.color: "black"
        gradient: gradientStandart

        MouseArea{
            anchors.fill:parent
            anchors.bottom: parent.bottom
            width:parent.width
            height: parent.height

            onPressed: aboutButton.gradient=gradientPressed
            onReleased: aboutButton.gradient=gradientStandart
            onClicked: {
            }
        }
    }

    Rectangle{
        id: exitButton
        x: parent.width/2-width/2
        y: 325
        z: parent.z+1
        width: 330
        height: 55
        visible: parent.visible
        radius: 10

        Image{
            source: "MEDIA/GFX/menu/exitButton.png"
            anchors.centerIn: parent
            z: parent.z+2
        }

        border.color: "black"
        gradient: gradientStandart

        MouseArea{
            anchors.fill:parent
            anchors.bottom: parent.bottom
            width:parent.width
            height: parent.height

            onPressed: exitButton.gradient=gradientPressed
            onReleased: exitButton.gradient=gradientStandart
            onClicked: {
                Qt.quit()
            }
        }
    }

}
